Risks - Services API
Bu içerik henüz dilinizde mevcut değil.
List all services of a risk
Заголовок раздела «List all services of a risk»List all services who are linked as a service to a risk with a specific ID.
GET /risks/:id/servicesResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Conference Room", "created_at": "2016-03-14T03:10:37-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:37-06:00", "support_team": { "name": "End-User Support, Houston", "id": 9 }, "id": 10, "disabled": false, "provider": { "name": "Widget Data Center, Internal IT", "id": 32 } }, { "name": "Customer Relationship Management (Siebel)", "created_at": "2016-03-14T03:10:37-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:37-06:00", "support_team": { "name": "Application Development", "id": 7 }, "id": 11, "disabled": false, "provider": { "name": "Widget Data Center, External IT", "id": 30 } }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/risks/:id/services/disabled: List all disabled services of a risk with a specific ID/risks/:id/services/enabled: List all enabled services of a risk with a specific ID
Add a service to a risk
Заголовок раздела «Add a service to a risk»Add a link between a risk with a specific ID and a service with a specific ID.
POST /risks/:id/services/:service_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove a service from a risk
Заголовок раздела «Remove a service from a risk»Remove the link between a risk with a specific ID and a service with a specific ID.
DELETE /risks/:id/services/:service_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all services from a risk
Заголовок раздела «Remove all services from a risk»Remove all links between a risk with a specific ID and its services.
DELETE /risks/:id/servicesResponse
Заголовок раздела «Response»Status: 204 No Content